/* FONT IMPORT */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

/* -------------------------------------------------------- */
/* VARIABLES */
/* -------------------------------------------------------- */

/* Variables are used like this: var(--text-color) */
:root {
    /* Background Colors */
    --background-color: #E27A9C;
    --content-background-color: rgba(52, 132, 189, 0.9);
    --sidebar-background-color: rgba(155, 125, 189, 0.9);

    /* Text Colors */
    --text-color: #110321;
    --sidebar-text-color: #021013;
    --link-color: #3aff61;
    --link-color-hover: #c2ffd2;

    /* Text: */
    --font: Open Sans, sans-serif;
    --heading-font: Monaco, monospace;
    --font-size: 16px;

    /* Other Settings: */
    --margin: 10px;
    --padding: 20px;
    --border: 2px solid rgb(24, 1, 19);
    --round-borders: 5px;
    --box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.5), 0 6px 20px 0 rgba(0, 0, 0, 0.20);
    --sidebar-width: 200px;
}

/* -------------------------------------------------------- */
/* BASICS */
/* -------------------------------------------------------- */

* {
    box-sizing: border-box;
}

body {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    min-height: 100vh;
    font-size: var(--font-size);
    margin: 0;
    padding: var(--margin);
    color: var(--text-color);
    font-family: var(--font);
    line-height: 1.2;
    background: var(--background-color);
    background-image: url(https://i.postimg.cc/J4LqB4Br/neocitiesbg2.png);
    background-size: 100% 100%;

}

::selection {
    /*(Text highlighted by the user) */
    background: rgba(0, 0, 0, 0.2);
}

mark {
  /* Text highlighted by using the <mark> element */
  text-shadow: 1px 1px 4px var(--link-color);
  background-color: inherit;
  color: var(--text-color);
}

/* Links: */
a {
    text-decoration: underline;
}

a,
a:visited {
    color: var(--link-color);
}

a:hover,
a:focus {
    color: var(--link-color-hover);
    text-decoration: none;
}

/* -------------------------------------------------------- */
/* LAYOUT */
/* -------------------------------------------------------- */

.layout {
    width: 1000px;
    display: grid;
    grid-gap: var(--margin);
    grid-template: "header header header" auto "leftSidebar main rightSidebar" auto "footer footer footer" auto / var(--sidebar-width) auto var(--sidebar-width);
}

main {
    grid-area: main;
    overflow-y: auto;
    padding: var(--padding);
    background: var(--content-background-color);
    border: var(--border);
    border-radius: var(--round-borders);
    box-shadow: var(--box-shadow);
}

/* -------------------------------------------------------- */
/* HEADER */
/* -------------------------------------------------------- */

header {
    grid-area: header;
    font-size: 1.2em;
    border: var(--border);
    border-radius: var(--round-borders);
    box-shadow: var(--box-shadow);
    background: var(--content-background-color);
}

.header-content {
    padding: var(--padding);
}

.header-title {
    font-family: var(--heading-font);
    font-size: 1.3em;
    font-weight: bold;
    text-align: center;
}

.header-image img {
    width: 100%;
    height: auto;
}

/* -------------------------------------------------------- */
/* SIDEBARS */
/* -------------------------------------------------------- */

aside {
    grid-area: aside;
    border: var(--border);
    border-radius: var(--round-borders);
    box-shadow: var(--box-shadow);
    overflow: hidden;
    background: var(--sidebar-background-color);
    padding: var(--padding);
    color: var(--sidebar-text-color);
}

.left-sidebar {
    grid-area: leftSidebar;
}

.right-sidebar {
    grid-area: rightSidebar;
}

.sidebar-title {
    font-weight: bold;
    font-size: 1.2em;
    font-family: var(--heading-font);
}

.sidebar-section:not(:last-child) {
    margin-bottom: 3em;
}

.sidebar-section ul,
.sidebar-section ol {
    padding-left: 1.5em;
}

.sidebar-section > *:not(p):not(ul):not(ol):not(blockquote) {
    margin-top: 10px;
}

/* Sidebar Blockquote: */

.sidebar-section blockquote {
    background: rgba(0,0,0,0.1);
    padding: 15px;
    margin: 1em 0;
    border-radius: 10px;
    overflow: hidden;
}

.sidebar-section blockquote >*.first-child {
    margin-top: 0;
}

.sidebar-section blockquote >*.last-child {
    margin-top: 0;
}

/* Site Button: */

.site-button {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.site-button textarea {
    font-family: monospace;
    font-size: 0.7em;
}

/* -------------------------------------------------------- */
/* FOOTER */
/* -------------------------------------------------------- */

footer {
    grid-area: footer;
    border: var(--border);
    border-radius: var(--round-borders);
    box-shadow: var(--box-shadow);
    overflow: hidden;
    font-size: 0.75em;
    padding: 15px;
    background: var(--content-background-color);
    display: flex;
    justify-content: center;
}

footer a,
footer a:visited {
    color: var(--link-color)
}

footer a:hover,
footer a:focus {
    color: var(--link-color-hover)
}

/* -------------------------------------------------------- */
/* NAVIGATION */
/* -------------------------------------------------------- */

nav {
    margin-bottom: 3em;
}

nav .sidebar-section {
    margin-bottom: 0.5em;
}

nav ul {
    margin: 0 -5px;
    padding: 0;
    list-style: none;
    user-select: none;
}

nav ul li {
    margin-bottom: 0;
}

nav > ul li > a,
nav > ul li > strong {
    display: inline-block;
}

nav > ul li > a,
nav > ul li > details summary,
nav > ul li > strong {
    padding: 5px 10px;
}

nav > ul li > a.active,
nav > ul li > details.active summary {
    font-weight: bold;
}

nav ul summary {
    cursor: pointer;
}

nav ul ul li > a {
    padding-left: 30px;
}

/* -------------------------------------------------------- */
/* CONTENT */
/* -------------------------------------------------------- */

main {
    line-height: 1.5;
}

main a,
main a:visited {
    color: var(--link-color)
}

main a:hover,
main a:focus {
    color: var(--link-color-hover);
    text-decoration-style: wavy;
}

main p,
main .image,
main .full-width-image,
main .twocolumns {
    margin: 0.75em 0;
}

main ol,
main ul {
    margin: 0.5em 0;
    padding-left: 1.5em;
}

main ol li,
main ul li {
    margin-bottom: 0.2em;
    line-height: 1.3;
}

main ol {
    padding-left: 2em;
}

main blockquote {
    background: #1f5276;
    padding: 15px;
    margin: 1em 0;
    border-radius: 10px;
}

main pre {
    margin: 1em 0 1.5em;
}

main code {
    text-transform: none;
}

main center{
    margin: 1em 0;
    padding: 0 1em;
}

main hr {
    border: 0;
    border-top: var(--border);
    margin: 1.5em 0;
}

/* HEADINGS: */

main h1,
main h2,
main h3,
main h4,
main h5,
main h6 {
    font-family: var(--heading-font);
    margin-bottom: 0;
    line-height: 1.5;
    text-align: center;
}

main h1:first-child,
main h2:first-child,
main h3:first-child,
main h4:first-child,
main h5:first-child,
main h6:first-child {
    margin-top: 0;
}

main h1 {
    font-size: 1.5em;
}

main h2 {
    font-size: 1.4em;
}

main h3 {
    font-size: 1.3em;
}

main h4 {
    font-size: 1.2em;
}

main h5 {
    font-size: 1.1em;
}

main h6 {
    font-size: 1em;
}

/* -------------------------------------------------------- */
/* CONTENT IMAGES */
/* -------------------------------------------------------- */

.image {
    display: block;
    width: auto;
    height: auto;
    max-width: 100%;
}

.full-width-image {
    display: block;
    width: 100%;
    height: auto;
}

.images {
    display: flex;
    width: calc(100% + 5px + 5px);
    margin-left: -5px;
    margin-right: -5px;
}

.images img {
    width: 100%;
    height: auto;
    padding: 5px;
    margin: 0;
    overflow: hidden;
}

/* -------------------------------------------------------- */
/* SPECIAL */
/* -------------------------------------------------------- */

/* Changelog */

.embedded-content {
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#a9e4f7+0,0fb4e7+100;Ble+3D+%235 */
    background: linear-gradient(to bottom,  rgba(169,228,247,1) 0%,rgba(15,180,231,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    width: 80%;
    height: 30%;
    padding: 10px;
    margin: 10px;
    border-radius: 10px;
}

.embedded-content h1 {
    color: rgb(5, 35, 45);
}

.embedded-content a,
.embedded-content a:visited {
    color: teal;
}

.embedded-content a:focus,
.embedded-content a:hover {
    color: cyan;
}

.embedded-content .changelog {
    background: skyblue;
    border-radius: 5px;
    overflow: scroll;
    height: 200px;
    font-size: 14px;
    text-align: center;
    box-shadow: inset 0 0 10px rgb(116, 181, 206);
    padding: 10px;
}

.changelog p {
    color: black;
    border-bottom: 2px solid rgb(58, 106, 125);
}

/* Dividers */
.divider-image {
    display: flex;
    justify-content: center;
}

.divider-image img {
    width: 50%;
    height: 50%;
    margin: 10px;
}

/* Favorites */
.favorites {
    text-align: center;
}

.favorites-blocks {
    display: inline-block;
    height: 250px;
    width: 200px; 
    overflow: auto;
    margin-top: 0;
    margin-bottom: 0;
}

/* Profile */
.profile {
  width: 225px;
  height: 300px;
  border-radius: 10%;
  vertical-align: center;
  text-align: center;
  font-size: 12px;
  float: left;
  shape-outside: square();
  padding: 12px;
  background-color: #2972a5;
  background-clip: content-box;
}

.profile img {
    width: 75%;
    height: 75%;
    justify-content: center;
    align-items: center;
    object-fit: none;
}

/* Stamps and Buttons */

.stamps {
    text-align: center;
}

.stamps-img {
    display: inline-block;
}

/* Guestbook Container */

.guestbook iframe {
    width: 100%;
    height: 600px;
    border: dashed 2px;
}

/* Sidebar Containers */
.sidecontainer {
    justify-content: center;
}  

/* -------------------------------------------------------- */
/* ACCESSIBILITY */
/* -------------------------------------------------------- */

/* please do not remove this. */

#skip-to-content-link {
    position: fixed;
    top: 0;
    left: 0;
    display: inline-block;
    padding: 0.375rem 0.75rem;
    line-height: 1;
    font-size: 1.25rem;
    background-color: var(--content-background-color);
    color: var(--text-color);
    transform: translateY(-3rem);
    transition: transform 0.1s ease-in;
    z-index: 99999999999;
}

#skip-to-content-link:focus,
#skip-to-content-link:focus-within {
    transform: translateY(0);
}

/* -------------------------------------------------------- */
/* MOBILE RESPONSIVE */
/* -------------------------------------------------------- */

/* CSS Code for devices < 800px */
@media (max-width: 800px) {
    body {
        font-size: 14px;
    }

    .layout {
        width: 100%;
        grid-template: "header" auto "leftSidebar" auto "main" auto "footer" auto / 1fr;
    }

    .right-sidebar {
        display: none;
    }

    aside {
        border-bottom: 1px solid;
        padding: 9px;
        font-size: 0.9em;
    }

    nav {
        padding: 0;
    }

    nav > ul {
        padding-top: 0.5em;
    }

    nav > ul li > a,
    nav > ul li > details summary,
    nav > ul li > strong {
        padding: 0.5em;
    }

    main {
        max-height: none;
        padding: 15px;
    }

    .images {
        flex-wrap: wrap;
    }

    .images img {
        width: 100%
    }

    #skip-to-content-link {
        font-size: 1rem;
    }
}